# Uses of Interface
com.google.protobuf.Internal.ProtobufList

Packages that use Internal.ProtobufList
Package
Description
com.google.protobuf

## Uses of Internal.ProtobufList in com.google.protobuf

Subinterfaces of Internal.ProtobufList in com.google.protobuf
Modifier and Type
Interface
Description
`static interface`
`Internal.BooleanList`
A `List` implementation that avoids boxing the elements into Booleans if possible.
`static interface`
`Internal.DoubleList`
A `List` implementation that avoids boxing the elements into Doubles if possible.
`static interface`
`Internal.FloatList`
A `List` implementation that avoids boxing the elements into Floats if possible.
`static interface`
`Internal.IntList`
A `List` implementation that avoids boxing the elements into Integers if possible.
`static interface`
`Internal.LongList`
A `List` implementation that avoids boxing the elements into Longs if possible.
Classes in com.google.protobuf that implement Internal.ProtobufList
Modifier and Type
Class
Description
`class`
`LazyStringArrayList`
An implementation of `LazyStringList` that wraps an ArrayList.
Methods in com.google.protobuf with type parameters of type Internal.ProtobufList
Modifier and Type
Method
Description
`protected static <ListT extends Internal.ProtobufList<?>>
ListT`
GeneratedMessage.`makeMutableCopy(ListT list)`
`protected static <ListT extends Internal.ProtobufList<?>>
ListT`
GeneratedMessage.`makeMutableCopy(ListT list, int minCapacity)`
Methods in com.google.protobuf that return Internal.ProtobufList
Modifier and Type
Method
Description
`protected static <T> Internal.ProtobufList<T>`
GeneratedMessage.`emptyList(Class<T> elementType)`
`protected static <E> Internal.ProtobufList<E>`
GeneratedMessageLite.`emptyProtobufList()`
`protected static <E> Internal.ProtobufList<E>`
GeneratedMessageLite.`mutableCopy(Internal.ProtobufList<E> list)`
`Internal.ProtobufList<E>`
Internal.ProtobufList.`mutableCopyWithCapacity(int capacity)`
Returns a mutable clone of this list with the specified capacity.
Methods in com.google.protobuf with parameters of type Internal.ProtobufList
Modifier and Type
Method
Description
`protected static <E> Internal.ProtobufList<E>`
GeneratedMessageLite.`mutableCopy(Internal.ProtobufList<E> list)`